import 'package:flutter/material.dart';
import 'package:flx_ui/flx_ui.dart';

class FlxIconButton extends StatelessWidget {
  final IconData? icon;

  final FlxTargetTapCallback? onTap;

  const FlxIconButton({
    Key? key,
    @required this.icon,
    @required this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: 50,
      height: 50,
      child: FlxFlatCard(
        width: 50,
        height: 50,
        borderRadius: 25,
        child: ClipRRect(
          borderRadius: BorderRadius.circular(25),
          child: FlxTarget(
            onTap: onTap!,
            child: Center(
              child: Icon(
                icon!,
                size: 23,
                color: FlxTextTheme.text(context).color,
              ),
            ),
          ),
        ),
      ),
    );
  }
}
