import 'package:flutter/material.dart';
import 'package:flx_ui/flx_ui.dart';

class FlxSpaciousButton extends StatelessWidget {
  final Color? textColor;

  final Color? backgroundColor;

  final double? width;

  final String? text;

  final FlxTargetTapCallback? onTap;

  const FlxSpaciousButton({
    Key? key,
    @required this.text,
    @required this.onTap,
    this.width,
    this.textColor,
    this.backgroundColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FlxDeepCard(
      color: backgroundColor ?? FlxColorTheme.accent(context),
      child: ClipRRect(
        borderRadius: BorderRadius.circular(12),
        child: FlxTarget(
          onTap: onTap,
          child: Container(
            height: 42,
            width: width ?? double.infinity,
            color: Colors.transparent,
            child: Center(
              child: Padding(
                padding: EdgeInsets.symmetric(horizontal: 15),
                child: Text(
                  text!,
                  style: FlxTextTheme.button(context).copyWith(
                    color: FlxTextTheme.button(context).color ?? textColor,
                  ),
                ),
              ),
            ),
          ),
        ),
      ),
    );
  }
}
