import 'package:flutter/material.dart';
import 'package:get/get.dart';

class FlxTargetController extends GetxController
    with SingleGetTickerProviderMixin {
  AnimationController? _animationController;
  AnimationController get animationController => _animationController!;

  Tween<double>? _radiusTween;

  Tween<double>? _opacityTween;

  Animation<double>? _radiusAnimation;
  Animation<double> get radiusAnimation => _radiusAnimation!;

  Animation<double>? _opacityAnimation;
  Animation<double> get opacityAnimation => _opacityAnimation!;

  Offset? tapPosition;

  bool longPress = false;

  @override
  void onInit() {
    _initAnimation();
    super.onInit();
  }

  void _initAnimation() {
    _animationController = AnimationController(
      vsync: this,
      duration: Duration(milliseconds: 300),
    );

    _radiusTween = Tween<double>(begin: 0, end: 100);
    _opacityTween = Tween<double>(begin: 0, end: 1);

    _radiusAnimation = _radiusTween!.animate(CurvedAnimation(
      parent: _animationController!,
      curve: Curves.easeInSine,
      reverseCurve: Curves.easeOutSine,
    ));

    _opacityAnimation = _opacityTween!.animate(CurvedAnimation(
      parent: _animationController!,
      curve: Curves.easeInOut,
    ));
  }
}
