import 'package:flutter/material.dart';

class FlxTheme {
  static ThemeData dark() {
    var baseTextStyle = TextStyle(
      color: Colors.white,
      fontFamily: 'e-Ukraine',
      fontWeight: FontWeight.w400,
    );

    return ThemeData.dark().copyWith(
      primaryColor: Colors.grey[850],
      scaffoldBackgroundColor: Colors.grey[900],
      accentColor: Colors.blue[800],
      textTheme: TextTheme(
        // headers
        headline1: baseTextStyle.copyWith(
          fontSize: 23,
          fontWeight: FontWeight.w500,
        ),
        headline2: baseTextStyle.copyWith(
          fontSize: 23,
        ),
        headline3: baseTextStyle.copyWith(
          fontSize: 21,
          fontWeight: FontWeight.w500,
        ),
        headline4: baseTextStyle.copyWith(
          fontSize: 21,
        ),
        headline5: baseTextStyle.copyWith(
          fontSize: 19,
          fontWeight: FontWeight.w500,
        ),
        headline6: baseTextStyle.copyWith(
          fontSize: 19,
        ),
        // subtitle
        subtitle2: baseTextStyle.copyWith(
          fontSize: 17,
          fontWeight: FontWeight.w500,
        ),
        subtitle1: baseTextStyle.copyWith(
          fontSize: 17,
        ),
        // bodyText
        bodyText2: baseTextStyle.copyWith(
          fontSize: 15,
          fontWeight: FontWeight.w500,
        ),
        bodyText1: baseTextStyle.copyWith(
          fontSize: 15,
        ),
        // button
        button: baseTextStyle.copyWith(
          fontSize: 15,
          fontWeight: FontWeight.w500,
        ),
        // caption
        caption: baseTextStyle.copyWith(
          fontSize: 13,
        ),
        // overline
        overline: baseTextStyle.copyWith(
          fontSize: 13,
        ),
      ),
    );
  }

  static ThemeData light() {
    var baseTextStyle = TextStyle(
      color: Colors.black,
      fontFamily: 'e-Ukraine',
      fontWeight: FontWeight.w400,
    );

    return ThemeData.dark().copyWith(
      primaryColor: Colors.white,
      scaffoldBackgroundColor: Colors.grey[300],
      accentColor: Colors.blue,
      textTheme: TextTheme(
        // headers
        headline1: baseTextStyle.copyWith(
          fontSize: 23,
          fontWeight: FontWeight.w500,
        ),
        headline2: baseTextStyle.copyWith(
          fontSize: 23,
        ),
        headline3: baseTextStyle.copyWith(
          fontSize: 21,
          fontWeight: FontWeight.w500,
        ),
        headline4: baseTextStyle.copyWith(
          fontSize: 21,
        ),
        headline5: baseTextStyle.copyWith(
          fontSize: 19,
          fontWeight: FontWeight.w500,
        ),
        headline6: baseTextStyle.copyWith(
          fontSize: 19,
        ),
        // subtitle
        subtitle2: baseTextStyle.copyWith(
          fontSize: 17,
          fontWeight: FontWeight.w500,
        ),
        subtitle1: baseTextStyle.copyWith(
          fontSize: 17,
        ),
        // bodyText
        bodyText2: baseTextStyle.copyWith(
          fontSize: 15,
          fontWeight: FontWeight.w500,
        ),
        bodyText1: baseTextStyle.copyWith(
          fontSize: 15,
        ),
        // button
        button: baseTextStyle.copyWith(
          fontSize: 15,
          fontWeight: FontWeight.w500,
        ),
        // caption
        caption: baseTextStyle.copyWith(
          fontSize: 13,
        ),
        // overline
        overline: baseTextStyle.copyWith(
          fontSize: 13,
        ),
      ),
    );
  }
}
